﻿@model DomainModels.Entities.Access.ValidIp

@{
    ViewBag.Title = "ویرایش رنج آی پی";
}

@using (Html.BeginForm()) 
{
    @Html.AntiForgeryToken()
    @Html.ValidationSummary(true)
	@Html.HiddenFor(model => model.Id)

    <div>
        <div>@Html.ValidationMessageFor(model => model.StartScope1)</div>
        <div>@Html.ValidationMessageFor(model => model.StartScope2)</div>
        <div>@Html.ValidationMessageFor(model => model.StartScope3)</div>
        <div>@Html.ValidationMessageFor(model => model.StartScope4)</div>
        <div>@Html.ValidationMessageFor(model => model.EndScope1)</div>
        <div>@Html.ValidationMessageFor(model => model.EndScope2)</div>
        <div>@Html.ValidationMessageFor(model => model.EndScope3)</div>
        <div>@Html.ValidationMessageFor(model => model.EndScope4)</div>
    </div>

    <div class="row">
        <div class="form-group">
            <div class="col-lg-12">
                از
            </div>
        </div>
        <div class="form-group">
            <div class="col-lg-4 col-lg-offset-8 col-md-4 col-md-offset-8">
                @Html.TextBoxFor(model => model.StartScope4, new { @class = "form-control ip", placeholder = "0-255" })<span class="dot">.</span>
                @Html.TextBoxFor(model => model.StartScope3, new { @class = "form-control ip", placeholder = "0-255" })<span class="dot">.</span>
                @Html.TextBoxFor(model => model.StartScope2, new { @class = "form-control ip", placeholder = "0-255" })<span class="dot">.</span>
                @Html.TextBoxFor(model => model.StartScope1, new { @class = "form-control ip", placeholder = "0-255" })

            </div>
        </div>
    </div>
    <div class="row">
        <div class="form-group">
            <div class="col-lg-12">
                تا
            </div>
        </div>
        <div class="form-group">
            <div class="col-lg-4 col-lg-offset-8 col-md-4 col-md-offset-8">
                @Html.TextBoxFor(model => model.EndScope4, new { @class = "form-control ip", placeholder = "0-255" })<span class="dot">.</span>
                @Html.TextBoxFor(model => model.EndScope3, new { @class = "form-control ip", placeholder = "0-255" })<span class="dot">.</span>
                @Html.TextBoxFor(model => model.EndScope2, new { @class = "form-control ip", placeholder = "0-255" })<span class="dot">.</span>
                @Html.TextBoxFor(model => model.EndScope1, new { @class = "form-control ip", placeholder = "0-255" })

            </div>
        </div>
    </div>
	<div class="row">
        <div class="form-group">
			<div class="col-lg-12">
				<input type="submit" value="ثبت" class="btn btn-info"  />
                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                @Html.ActionLink("بازگشت به لیست", "Index", null, new { @class = "btn btn-return" })
			</div>
		</div>
	</div>
}
